Changes from 3.3-5 to 3.3-6

*Kernel:
- Added rounding to two digits after dot in ezorder class to functions which calculate total
  amounts.
- Made sure the extension in a siteaccess is activated for eZ publish scripts (eZScript).
- Made sure the eZContentObject::contentObjectListRelatingThis function uses
  the eZContentObject::reverseRelatedObjectList function.
- eZContentObject::reverseRelatedObjectList now only lists relations from published
  versions and not drafts.
- Made sure the user/success page follows the SiteSettings/LoginPage setting.
  (Merged from stable/3.4 rev. 7167)
- Added detection of APC in the system information page.

Class:
- Storing a class will now jump to the class view instead of the group/class listing.

*Setup:
- Added information on Apache webserver to registration email (if Apache is used).

*Design:
edit_placement.tpl:
- Change the default to show all node assignments, not just the ones without
  remote ID. This means that when editing an object in admin interface
  without a special override will work.

*Bugfixes:
- Fixed bug of unable to remove node assignment when moving node or remove node assignment.
  http://ez.no/community/bug_reports/3_4alpha4_moving_a_node_won_t_work
- Fixed bug of unable to save class attribute type in datatype objectrelationlist.
  http://ez.no/community/bug_reports/undefined_index_in_objectrelationlisttype
- Fixed bug of attribute is stored when click on "Discard" button when edit a content object.
  http://ez.no/community/bug_reports/user_account_changes_are_stored_even_when_not_validated
- Fixed bug in google navigation bound checking.
  http://ez.no/community/bug_reports/3_4_checking_of_offset_needed
- Added check for "is_required" in datatype ezobjectrelation.
  http://ez.no/community/bug_reports/datatype_price_and_objectrelation
- Fixed bug of extra space generated by operator l10n(clean_currency).
  http://ez.no/community/bug_reports/datatype_price_and_objectrelation
- Fixed bug of parse error for datatype ezxmltext when there is header inside custom tag.
  http://ez.no/community/bug_reports/online_editor_error_with_factbox
- Fixed bug in localization of date/time strings.
  http://ez.no/index.php/community/bug_reports/long_day_names_not_localized
- Fixed bug in digest notifications (wrong timestamp, and not being run at all).
  http://ez.no/community/bug_reports/digests_not_timestamping_correctly
  http://ez.no/community/bug_reports/digest_notification_doesn_t_work
- Fixed a bug in a template with a missing default case
  http://ez.no/community/bug_reports/no_default_case_in_datatypes_tpl
- Fixed bug of incorrectly showing checkbox atribute on class view.
  http://ez.no/community/bug_reports/error_viewing_checkbox_atribute_on_class_view
- Fixed bug of deleted nodes still exist in recent items and node id not updated in recent items.
  http://ez.no/community/bug_reports/moving_objects
- Fixed bug of ignoring the "ViewCachedModes" setting when creating caches for views.
  http://ez.no/community/bug_reports/cachedviewmodes_setting_isn_t_taken_into_account_when_storing_view_cache
- Fixed bug of missing validation of eztext when required is checked.
  http://ez.no/community/bug_reports/is_required_validation_for_eztext_is_missing_ic
- Fixed bug related to useless eZSOAPServer::registerFunction() method.
  It now does whata user expect it to do.
  http://ez.no/community/bug_reports/ezsoap_registerfunction_is_useless_invalid_code
- Fixed bug of not changing Object's Section assignment when object is moved to another section
  http://ez.no/community/bug_reports/change_object_s_section_assignment
- Fixed bug related to errors in postgres when storing 'sort_key_string' 
  attribute, which is longer then 50 characters.
  http://ez.no/community/bug_reports/postgresql_sort_key_string_raises_error_and_blocks_titles_longer_than_50_characters
- Fixed bug: object disappears when moving it to itself. We now don't allow an object to be moved to itself
  or to the same parent object.
  http://ez.no/community/bug_reports/moving_object_in_object_itself
- Fixed bug when creating related objects and strict user rights.
  http://ez.no/community/bug_reports/unable_to_create_related_object_without_very_relaxing_privileges
- Fixed bug of ignoring user's permissions when working with ezkeyword.
  http://ez.no/community/bug_reports/ezkeyword_related_array_shows_content_which_is_not_readable
- Fixed bug of role policies limit to a subtree destroyed after moving subtree
  http://ez.no/community/bug_reports/role_policies_limit_to_a_subtree_destroyed_after_moving_subtree
- Fixed bug related to inability of selecting source node for RSS export.
  http://ez.no/community/bug_reports/rss_export_source_1_selection_fails
- Fixed bug of matching by 'parent_node' problem using in view_node_gui call
  http://ez.no/community/bug_reports/matching_by_parent_node_problem
- Fixed bug related to inability of removing an RSS export source.
  http://ez.no/community/bug_reports/rss_export_delete_source_missing
- Fixed Checkbox datatype bugs.
  http://ez.no/community/bug_reports/checkbox_doesn_t_remember_default_value
- Fixed bug of sometimes "index.php" appearing in urls on virtual host setup 
  http://ez.no/community/bug_reports/virtual_host_setup_sometimes_index_php_appearing_in_urls
- Fixed access to PDF files.
  http://ez.no/community/bug_reports/pdf_export_to_url_fails
- Fixed storing export PDF type.
  http://ez.no/community/bug_reports/export_to_pdf_does_not_store_export_type
- Fixed PHP error when trying to edit non existing role.
  http://ez.no/community/bug_reports/error_in_role_view
- Fixed bug (suggestion) of  Remove object should also remove bookmark
  Also added cleaning up existing bookmarks and recent items for corrupted nodes
  http://ez.no/community/bug_reports/remove_object_should_also_remove_bookmark
- Fixed comment in source that wrongly said that eZXML should not be instantiated.
  http://ez.no/community/bug_reports/ezxml_domtree_call_to_undefined_function_parseattributes
- Fixed problem in eZDebug when running cronjobs. (Merged from 3.4, rev. 5858)
  http://ez.no/community/bug_reports/cronjob_debugger_broken
- Fixed void "recompile options" field of "Missing database handlers" issue 
  when setting up site without PostgreSQL support in PHP.  
  http://ez.no/community/bug_reports/fine_tune_database_message
- Fixed bug of datatype ezselection may generate wrong search index.
- Fixed bug in ezurl when relating to root "/".
- Fixed bug in wishlist of wrong culculation of VAT and discount.
  http://ez.no/community/bug_reports/wishlist_is_buggy  
- Fixed bug of showing media controler when there is no media file.
  http://ez.no/community/bug_reports/view_of_media_datatype
- Changed Webdav's 'PUT' to use the parent node's sectionID as sectionID for
  the newly PUT object. (Merged from 3.4, rev. 6692)
- Fixed bug of still using deprecated name in forgotpassword form action.
  http://ez.no/community/bug_reports/forgotpassword_tpl_wrong_action
- Fixed bug where Bookmark Additions required a ContentObjectID without it
  being used.
  http://ez.no/community/bug_reports/recording_bookmarks_shouldnt_need_a_content_object_id
- Fixed bug related to missing attributes "rowCount" and "columnCount" of 
  eZMatrix.
  http://ez.no/community/bug_reports/missed_attributes_in_ezmatrix
- Fixed bug of unrecognized subtree arrays in fetchalias.ini
  http://ez.no/community/bug_reports/array_data_in_fetchalias_ini_don_t_get_treated_as_arrays_content_search
- eZSoap now parses value returned by a function in the more
  standard compliant manner. Partial fix for
  http://ez.no/community/bug_reports/soap_response_null_object.
- Fixed bug with unused EmailSender ini setting in eZSMTPTransport.
  http://ez.no/community/bug_reports/email_sender
- Fixed bugs in fetching keywords and keywords count:
  o All object attribute versions were fetched instead of the current one;
  o Fetching from non-published objects was posssible.
- Fixed inability of storing GMT midnight in eztime.
  http://ez.no/community/bug_reports/eztime_data_type_can_t_store_midnight
- Fixed incorrect sorting of time fields.
  http://ez.no/community/bug_reports/incorrect_sorting_of_time_fields
- Fixed bug: files having names containing spaces could not be downloaded with some browsers.
  http://ez.no/community/bug_reports/can_t_download_if_spaces_in_binary_file_names
- Fixed typo in eZContentObject::checkAccess
  http://ez.no/community/bug_reports/typo_in_ezcontentobject_php
- Workaround for bug in object relation list datatype: when user adds
  objects using content/browse and then reloads page in browser then
  previously selected objects are added again. We now just prevent objects
  from being added to the list more than once doing appropriate check.
  http://ez.no/community/bug_reports/objectrelationlist_repeats_adding_relatedobjects_when_page_reloads
- Removed eztime from the list of simple types because its data_int field
  cannot be treated as sort key anymore.
- Removed unneded include_once().
  http://ez.no/community/bug_reports/selfrelated_include_once_in_lib_ezlocale_classes_ezdatetime_php
- Fixed typo in user/activate.tpl
  http://ez.no/community/bug_reports/user_activate_template_typo
- Fixed bug in SQL fetching user list for subtree notification handler
  resulting in very large query execution times.
- Fixed inability to connect to PostgreSQL during installation using setup wizard.
- Fixed bug: no email adress in registration email.
  Merged from trunk (3.5) rev. 5416.
  http://ez.no/community/bug_reports/no_emailadres_in_registration_email
- Fixed typo (double ;; in ez search engine).
  http://ez.no/community/bug_reports/typo_in_ezsearchengine_php
- Fixed bug in kernel/sql/postgresql/sequence.sql
  http://ez.no/community/bug_reports/postgres_setval
- Fixed bug in cronjobs/workflow.php
  http://ez.no/community/bug_reports/deleting_the_default_admin_user_disables_workflow
- Fixed bug in dbupdate-3.3-5-to-3.3-6.sql for postgresql.
  http://ez.no/community/bug_reports/problem_with_sql_update_file_dbupdate_3_3_5_to_3_3_6_sql
- Fixed bug with incorrect user identification in ezapprove workflow event when run it from cronjobs.
  http://ez.no/community/bug_reports/workflow_approve_and_author
- Fixed bug: "Registration" setup step didn't notice that convert program
  (included into Imagemagick) had been found in path entered by user. 
  http://ez.no/community/bug_reports/setup_registration_email_problem
- Fixed bug with unabling to upload image to a new translated object.
  http://ez.no/community/bug_reports/unable_to_upload_image_to_a_new_translated_object
- Fixed bug with missing NodeID and ObjectID when displaying media folders.
  http://ez.no/community/bug_reports/media_folder_doesn_t_show_node_id_and_object_id
- Fixed bug related to wrong working thumbnail folders without frendly URLs.
  http://ez.no/community/bug_reports/folder_thumnbnail_tpl_doesn_t_work_without_friendly_url_s
- Fixed bug with incorrect number of pages calculation in google navigator
  http://ez.no/community/bug_reports/admin_doesn_t_show_more_than_15_items_google_tpl_doesn_t_work
- Fixed bug for extract in  lib/eztemplate/classes/eztemplatearrayoperator.php.
  http://ez.no/community/bug_reports/extract_doesn_t_work_properly
- Fixed bug with not using an entered MySQL socket during setup
  http://ez.no/community/bug_reports/setup_wizard_mysql_socket_field_is_omitted
- Fixed bug in setup wizard: when checking directory permissions we now
  check permissions of files within that directory as well.
- Fixed bug causing that the siteaccess names could not be written in capitals
  http://ez.no/community/bug_reports/changing_the_siteaccess_name_causes_a_module_not_found_error
- Fixed bug: semicolons are not escaped in arrays specified in fetchalias.ini.
  Additional fix for:
  http://ez.no/community/bug_reports/array_data_in_fetchalias_ini_don_t_get_treated_as_arrays_content_search
- Removed vardumps from cronjobs/unpublish.php.
  http://ez.no/community/bug_reports/unpublish_event_displays_debug_info
- Fixed notification digest bug.
- Fixed bug in {section show=$abc } where $abc is undefined. Bug only occured when template compilation was disabled. 
  Merged from stable/3.4 rev. 7097.
- Fixed bug with misquoted filenames in Content-disposition header.
  http://ez.no/community/bug_reports/content_disposition_in_kernel_classes_binaryhandlers_ezfilepasstrough
- Fixed problems with overwritten uploaded files.
  http://ez.no/community/bug_reports/new_binary_files_sometimes_overwrite_existing_binary_files
- Fixed problem with section placements for new related objects.
  http://ez.no/community/bug_reports/related_object_added_to_article_set_to_section_0
- Fixed bogus PostGreSQL version check.
  http://ez.no/community/bug_reports/fail_installation_with_postgresql_db
- Fixed wrong urls in registration emails.
  http://ez.no/community/bug_reports/user_confirmation_e_mail_sends_bugged_link
  (Merged from stable/3.4 rev. 7167)
- Removed unused checkboxes and commented template code in 'url management'
  http://ez.no/community/bug_reports/unused_url_list_checkboxes
- Fixed problem with the subtree notification handler not including the ID of
  the changed node when finding subscribed users.
  http://ez.no/community/bug_reports/bug_notifications_still_not_working_properly
- Fixed bug with template parser not allowing whitespace after the single tag
  marker.
  http://ez.no/community/bug_reports/wrong_case_syntax_causes_template_compile_error
- Fixed some of the issues in this bugreport.
  http://ez.no/community/bug_reports/bugs_in_kernel__2
- Fixed incorrect API doc for eZUser.
  http://ez.no/community/bug_reports/ezuser_api_correction
- Fixed problem with autolink operator not allowing semi-colons in the url.
  http://ez.no/community/bug_reports/xml_text_text_to_a_links_does_not_work_correctly
  (Merged from stable/3.4 rev. 7355)
- Fixed typos in mysql/kernel_schema.sql.
- Fixed bug in div and mul template operators when input parameter was used.
  http://ez.no/community/bug_reports/operator_mul_does_not_work_as_documented
- Fixed bug with ezauthor and search meta data.
  http://ez.no/community/bug_reports/search_ezauthor
- Fixed writing the expiry.php file to be an atomic operation so that multiple
  content updates can not mangle the file. (Backported from 3.5/rev. 7576)
- Fixed concurrency issue with cached files.
  http://ez.no/community/bug_reports/critical_at_high_traffic_sites_files_aren_t_locked_at_writing_process
- Fixed bug of ezdate and ezdatetime datatypes indexing in the search engine.
  http://ez.no/community/bug_reports/index_of_ezdate_ezdatetime
- Removed unused file kernel/classes/datatypes/ezuser/ezaccounthash.php
  http://ez.no/community/bug_reports/wrong_user_class
- Fixed bug of incorrectly display version infomation if user can not delete version
  http://ez.no/community/bug_reports/faulty_display_of_versions_if_user_cannot_delete
- Fixed bug of combination of node with section or class in permission policy caused wrong read access.
  http://www.ez.no/community/bug_reports/node_and_section_policy_limitation_causes_unwanted_read_access
- Fixed bug: non-eZ database tables were deleted when selecting remove data in the setup wizard.
  http://ez.no/community/bug_reports/other_database_tables_deleted_when_selecting_remove_data_in_setup_wizard
- Changed default PostgreSQL user from 'root' to 'postgres' in bin/shell/redumpall.sh since
  there's no user called root in default PostgreSQL installation.
- Fixed fatal error regarding to reposting after removal of a section.
  http://ez.no/community/bug_reports/repost_crash_section
- Fixed bug: fatal error occurs when removing a PDF export and then reloading the page.
  http://ez.no/community/bug_reports/repost_crash_pdf
- Fixed bug: fatal error occurs when one removes a policy and then reloads the page.
  http://ez.no/community/bug_reports/repost_crash_role
- Fixed bugs: if you create RSS import/export, remove it and then reload the page, fatal error occurs.
  http://ez.no/community/bug_reports/repost_crash_rss
  http://ez.no/community/bug_reports/repost_crash_rss__1
- Fixed bug: fatal error occurs when user removes a translation and then reloads the page.
  http://ez.no/community/bug_reports/repost_crash_translations
- Fixed bug: fatal error occurs when user creates new bookmark, then removes it and reloads the page.
  http://ez.no/community/bug_reports/repost_crash_my_bookmarks
- Fixed bug: undefined variable $field_filters in ezcontentobjectattribute::language().
  http://ez.no/community/bug_reports/3_5alpha1_undefined_var_field_filters_in_ezcontentobjectattribute_language
- Fixed bug: undefined function gettime() was used.
  http://ez.no/community/bug_reports/gettime_no_such_function_with_possible_fix
- Fixed bug: wrong redirection after changing preferences.
  http://ez.no/community/bug_reports/wrong_redirection_after_changing_preferences
- Fixed bug: Users were able to add existing objects of non-allowed classes to the
  object relation list datatype.
  http://ez.no/community/bug_reports/object_relation_list_allowed_classes_should_be_redone
- Fixed bug: Wrong check for "content/edit" privilege in user/setting.
  http://ez.no/community/bug_reports/user_settings_and_no_access_canedit
- Fixed wrong chmod example in the setup wizard.
  http://ez.no/community/bug_reports/installer_chmod_example_grants_everyone_access
- Fixed bug with tmp_notification_rule_s for PostgreSQL not being cleaned up
  in the setup wizard.
- Fixed bug: index.php didn't set LastAccessesURI session variable when viewing node #2.
- Fixed bug: user should not be able to relate an object to itself.
  http://ez.no/community/bug_reports/you_can_relate_an_object_to_itself
- Fixed bug: Fixed SQL error that happened when removing classes along with removing class group.
- Fixed bug: Deleting user account that is not yet activated caused fatal error when activating the account.
  http://ez.no/community/bug_reports/deleting_user_account_not_activated
- Fixed bug: New password was not checked for validity when changing a user's password.
  http://ez.no/community/bug_reports/password_change_blank_passwords_allowed
- Fixed bug: Apache crashes or suddenly stops on some pages, e.g on content/edit page with
  a translation chosen or using attribute( show, 2 ) on a node.
  http://ez.no/community/bug_reports/fatal_error_when_using_attribute_show_2_at_node_data_map
- Fixed template warning with ISBN datatype when no number is entered.
- Fixed problem with versionview not displaying objects in trash.
  http://ez.no/community/bug_reports/view_in_trash

*Library:

eZ Locale:

eZ Image:
- Fixed bug that made it impossible to read any other font then a lowercase TTF extension

eZ MIMEType:

eZ Debug:

eZ Template:
- Fixed bug in switch function when using in parameter and no subkey.

*Translations:

*Templates:
